Questions tagged [php7]

Questions relating specifically to running CiviCRM on PHP 7.

Filter by
Sorted by
Tagged with
4
votes
2answers
662 views

Is CiviCRM 4.6.x compatible with PHP 7?

Is CiviCRM 4.6.x compatible with newer version of PHP, 7?
6
votes
2answers
274 views

What are the minimum and recommended changes to CiviCRM to support PHP 7?

To pragmatically help CiviCRM step-by-step to support PHP7 I would like to know what the minimum and recommended changes to CiviCRM to support PHP 7? This will help developers to identify areas of ...
2
votes
1answer
147 views

mailchimp extension error, php 7.1, civi 5.10.4, drupal 7.x

with civi 5.10.4, Drupal 7.x and php 7.1 there is a warning that in some cases turns into a fatal error that will prevent the webhooks from working Declaration of CRM_Mailchimp_Permission::check($...
1
vote
1answer
860 views

Call to undefined function dl() error w/Joomla 3.5.1 & PHP 7

I've just installed CiviCRM on a Joomla 3.5.1 site to learn how to use it. I am seeing an issue that I have a question about. As long as I use Php 5.6 the installation works properly. If I try to ...